#include "cTimer.h"
#include <iostream>
using namespace std;

void cTimer::start()
{
    time_ = clock();
}

float cTimer::update()
{
    clock_t last = time_;
    time_ = clock();
    float delay = (float) (time_-last)/ (float) CLK_TCK;
    //cout << delay << endl;
    //if(delay == 0) return .01;
    //if(delay > .02) return .02;
    //return delay;
    return .05;
}